[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'typinfo' (#rtl)

# GetUnicodeStrProp

Get UnicodeString-valued property

## Declaration

Source position: line 0

`function GetUnicodeStrProp(`
`Instance: TObject;`
`PropInfo: PPropInfo`
`):UnicodeString; function GetUnicodeStrProp(`
`Instance: TObject;`
`const PropName: string`
`):UnicodeString;`

## Description

GetUnicodeStrProp returns the UnicodeString property from Instance, where the property is identified by the PropInfo pointer or the PropertyName.

## Errors

If no property of the indicated name exists, or the value is not a unicode string, an exception will occur.

## See also

GetStrProp |  | Return the value of a string property.
SetUnicodeStrProp |  | Set UnicodeString-valued property

Documentation generated on: Feb 26 2014